---
title: "Create a copy of doc group"
url: "https://docs.signnow.com/docs/document-group/operations/post-v2-document_groups-document_group_id-copy"
type: "endpoint"
section: "document-group"
slug: "document-group/operations/post-v2-document_groups-document_group_id-copy"
method: "POST"
path: "/v2/document-groups/{document_group_id}/copy"
operation_id: "post-v2-document_groups-document_group_id-copy"
authorization: "bearer"
---

# Create a copy of doc group

`POST /v2/document-groups/{document_group_id}/copy`

This endpoint allows users to copy a document group in any status and set a new name to it.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `document_group_id` | string | Yes | ID of the document group. |

## Request Body

**Schema**

```json
{
  "type": "object",
  "required": [
    "document_group_name"
  ],
  "properties": {
    "client_timestamp": {
      "type": "integer",
      "description": "The timestamp in UNIX code."
    },
    "document_group_name": {
      "type": "string",
      "description": "The name of the new document group copy."
    }
  },
  "x-examples": {
    "Example 1": {
      "client_timestamp": 1635953805,
      "document_group_name": "New name of Document Group"
    }
  }
}
```

**Example** (`Example 1`)

```json
{
  "client_timestamp": 1635953805,
  "document_group_name": "New name of Document Group"
}
```

## Responses

### 202

The document group copy has been scheduled.

### 400

* Request with any of cases: invalid token, expired token, empty header, authorization = null, authorization without value
* Incorrect type of `document_group_name` field
* Incorrect type of `client_timestamp field`, not integer
* `client_timestamp field` length limits

**Example** (`Authorization issues`)

```json
{
  "code": 1537,
  "message": "invalid_token"
}
```

**Example** (``client_timestamp field` length limits`)

```json
{
  "code": 13020000,
  "message": "The client_timestamp should be between 0 and 4294967295"
}
```

**Example** (`Incorrect type of document_group_name field`)

```json
{
  "code": 13020000,
  "message": "The document_group_name field must be string type"
}
```

**Example** (`Incorrect type of `client_timestamp` field, not integer`)

```json
{
  "code": 13020000,
  "message": "The client_timestamp field must be an integer"
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X POST \
  "https://api.signnow.com/v2/document-groups/{document_group_id}/copy" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"client_timestamp": 1635953805, "document_group_name": "New name of Document Group"}'
```

---
*Full reference: https://docs.signnow.com/docs/document-group/operations/post-v2-document_groups-document_group_id-copy*
